<?php
/**
 * Displays the content and meta information for a post object.
 *
 * @package P2
 */
?>
<li id="prologue-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php

	/*
	 * Post meta
	 */

	if ( ! is_page() ):
		$author_posts_url = get_author_posts_url( get_the_author_meta( 'ID' ) );
		$posts_by_title   = sprintf(
			__( 'Posts by %1$s ( @%2$s )', 'keepmins' ),
			get_the_author_meta( 'display_name' ),
			get_the_author_meta( 'user_nicename' )
		); ?>
		<a href="<?php echo esc_attr( $author_posts_url ); ?>" title="<?php echo esc_attr( $posts_by_title ); ?>" class="post-avatar">
			<img width="48" height="48" class="avatar" src="<?php if(get_option( 'km_settings' )['author_avatar'] != ''){echo get_option( 'km_settings' )['author_avatar'];} else {echo esc_url( get_stylesheet_directory_uri() );echo '/i/avatar.jpg';} ?>" alt="<?php echo esc_attr( $posts_by_title ); ?>">
		</a>
	<?php endif; ?>
	
	<?php if ( is_page() ): ?>
		<h2 class="pagetitle"><?php the_title(); ?></h2>
	<?php endif; ?>
	
		<?php if ( ! is_page() ): ?>
		<div id="authorname">
			<a href="<?php echo esc_attr( $author_posts_url ); ?>" title="<?php echo esc_attr( $posts_by_title ); ?>"><?php the_author(); ?></a>
		</div>
		<?php endif; ?>

	<?php
	/*
	 * Content
	 */
	?>

	<div id="content-<?php the_ID(); ?>" class="postcontent">
	<?php
	/*
	 * Check the post format and display content accordingly.
	 * The value should be a valid post format or one of the back compat categories.
	 */
	switch ( p2_get_post_format( $post->ID ) ) {
		case 'status':
			the_content();
			break;
		case 'link':
			the_content();
			break;
		case 'quote':
			p2_quote_content();
			break;
		case 'post':
			p2_title();
			the_content();
			break;
		case 'standard':
			p2_title();
			the_content();
			break;
		default:
			the_content();
			break;
	} ?>
	<?php if ( is_object_in_taxonomy( get_post_type(), 'post_tag' ) ) : ?>
		<span class="tags">
			<?php tags_with_count( '', '#', ' #', ' ' ); ?>
		</span>
	<?php endif; ?>
	</div>

	<?php
	/*
	 * Comments
	 */

	$comment_field = '<div class="form"><textarea id="comment" class="expand50-100" name="comment" cols="45" rows="3"></textarea></div> <label class="post-error" for="comment" id="commenttext_error"></label>';

	$comment_notes_before = '<p class="comment-notes">' . ( get_option( 'require_name_email' ) ? sprintf( ' ' . __( 'Required fields are marked %s', 'keepmins' ), '<span class="required">*</span>' ) : '' ) . '</p>';

	$p2_comment_args = array(
		'title_reply'           => __( 'Reply', 'keepmins' ),
		'comment_field'         => $comment_field,
		'comment_notes_before'  => $comment_notes_before,
		'comment_notes_after'   => '<span class="progress spinner-comment-new"></span>',
		'label_submit'          => __( 'Reply', 'keepmins' ),
		'id_submit'             => 'comment-submit',
	);

	?>

	<?php if ( get_comments_number() > 0 && ! post_password_required() ) : ?>
		<div class="discussion" style="display: none">
			<p>
				<?php p2_discussion_links(); ?>
				<a href="#" class="show-comments"><?php _e( 'Toggle Comments', 'keepmins' ); ?></a>
			</p>
		</div>
	<?php endif; wp_link_pages( array( 'before' => '<p class="page-nav">' . __( 'Pages:', 'keepmins' ) ) ); ?>
		<?php 
$address = get_post_meta($post->ID, 'geo_address', true);
$venue = get_post_meta($post->ID, 'geo_venue', true);
$qqlat = get_post_meta($post->ID, 'geo_qqlat', true);
$qqlog = get_post_meta($post->ID, 'geo_qqlog', true);
$qqmapkey = get_option( 'km_settings' )['qqmap_key'];
if ($address) {
echo "<div id='geolocation' ";
if(is_singular()){ echo "class='pointer'";}
echo "><span class='venue'>$venue</span>$address</div>";
if(is_singular()){
	echo "<div id='geomap' class=''><img src='https://apis.map.qq.com/ws/staticmap/v2/?center=$qqlat,$qqlog&zoom=16&size=740*100&maptype=roadmap&markers=size:large|color:red|$qqlat,$qqlog&key=$qqmapkey'></div>";
}
}
 ?>
	<?php if(is_singular()):?>
	<div id="share-container" class="">
<div class="bdsharebuttonbox"><a title="<?php _e( 'Share for Sina Weibo', 'keepmins' ); ?>" href="#" class="bds_tsina" data-cmd="tsina"></a><a title="<?php _e( 'Share for Renren', 'keepmins' ); ?>" href="#" class="bds_renren" data-cmd="renren"></a><a title="<?php _e( 'Share for Douban', 'keepmins' ); ?>" href="#" class="bds_douban" data-cmd="douban"></a><a title="<?php _e( 'Share for Wechat', 'keepmins' ); ?>" href="#" class="bds_weixin" data-cmd="weixin"></a><a title="<?php _e( 'Share for QQ', 'keepmins' ); ?>" href="#" class="bds_sqq" data-cmd="sqq"></a><a title="<?php _e( 'Share for Twitter', 'keepmins' ); ?>" href="#" class="bds_twi" data-cmd="twi"></a><a title="<?php _e( 'Share for Facebook', 'keepmins' ); ?>" href="#" class="bds_fbook" data-cmd="fbook"></a><a title="<?php _e( 'Copy link', 'keepmins' ); ?>" href="#" class="bds_copy" data-cmd="copy"></a></div>

	</div>
	<?php endif;?>
	<div class="bottom-of-entry"><span class="meta">
			<?php the_time(); ?>
			<span class="actions">
				<?php if ( !is_singular() ) { ?> 
				<a href="<?php the_permalink(); ?>" class="thepermalink" title="<?php esc_attr_e( 'Permalink', 'keepmins' ); ?>"><span class="link-icon"></span><span class="ab-label"><?php if(function_exists('the_views')) { the_views(); } ?></span></a>
				<?php } ?>
				<?php
				if ( ! is_singular() )
					$before_reply_link = ' ';

				if ( comments_open() && ! post_password_required() ) {
						echo post_reply_link( array(
							'before'        => isset( $before_reply_link ) ? $before_reply_link : '',
							'after'         => '',
							'reply_text'    => __( '<span class="reply-link-icon"></span>', 'keepmins' ),
							'add_below'     => 'comments'
						), get_the_ID() );
				}

				if ( current_user_can( 'edit_post', get_the_ID() ) ) : ?><a href="<?php echo ( get_edit_post_link( get_the_ID() ) ); ?>" class="edit-post-link" rel="<?php the_ID(); ?>" title="<?php esc_attr_e( 'Edit', 'keepmins' ); ?>"><span class="edit-post-icon"></span></a>
				<?php endif; ?>
				<?php do_action( 'p2_action_links' ); ?>
				<?php if(is_singular()):?>
				<a class="share" id="share" href="#"><span class="share-icon"></span></a>
				<?php endif;?>
				<!--Like Dislike-->
<?php if( function_exists('zoomarts_love') ) zoomarts_love(); ?>
			</span>
				
		</span>

		</div>

	<?php if ( p2_is_ajax_request() ) : ?>
		<ul id="comments-<?php the_ID(); ?>" class="commentlist inlinecomments"></ul>
	<?php else :
		comments_template();
		$pc = 0;
		if ( p2_show_comment_form() && $pc == 0 && ! post_password_required() ) :
			$pc++; ?>
			<div class="respond-wrap" <?php echo ( is_singular() ) ? 'style="display: none; "' : ''; ?>>
				<?php comment_form( $p2_comment_args ); ?>
			</div><?php
		endif;
	endif; ?>
</li>
