<?php
/**
 * Main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package P2
 */
?>
<?php get_header(); ?>

<div class="sleeve_main">
		<h2 class="underbox">
			<?php if ( is_home() or is_front_page() ) : ?>
					<?php bloginfo( 'description' ); ?>
			<?php else : ?>

				<?php printf( _x( 'Time %s', 'Month name', 'keepmins' ), get_the_time( 'Y, F' ) ); ?>

			<?php endif; ?>

			<span class="controls">
				<a href="#" id="togglecomments" title="<?php _e( 'Toggle comments', 'keepmins' ); ?>"></a><a href="#directions" id="directions-keyboard"title="<?php _e( 'Directions Keyboard', 'keepmins' ); ?>"></a><a href="#" id="search" title="<?php _e( 'Search', 'keepmins' ); ?>"></a>
			</span>
		</h2>
	<?php if ( p2_user_can_post() && !is_archive() ) : ?>
		<?php locate_template( array( 'post-form.php' ), true ); ?>
		<?php else: ?>
		    <?php if (!(current_user_can('read'))){ ?>
			<div id="loginform">
			<form action="<?php echo home_url(); ?>/wp-login.php" method="post">
				<input type="text" placeholder="<?php _e( 'Username', 'keepmins' ); ?>" name="log" id="log" value="<?php echo esc_html(stripslashes($user_login), 1) ?>" size="20" />
				<input type="password" placeholder="<?php _e( 'Password', 'keepmins' ); ?>" name="pwd" id="pwd" size="20" />
				<input type="submit" name="submit" value="<?php _e( 'Login', 'keepmins' ); ?>" class="button" />
				<p>
				<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>" />
				</p>
			</form>
			</div>
			<?php } else { ?>
<?php }?>
	<?php endif; ?>
	<div class="clear"></div>
<div id="main">
		<ul id="postlist">
		<?php if ( have_posts() ) :?>

			<?php while ( have_posts() ) : the_post();?>
	    		<?php p2_load_entry(); ?>
			<?php endwhile; ?>

		<?php else : ?>

			<li class="no-posts">
		    	<h3><?php _e( 'No minutes found.', 'keepmins' ); ?></h3>
			</li>

		<?php endif; ?>
		</ul>

		<div class="navigation">
			<p class="nav-older"><?php next_posts_link( __( '<span class="larrow-icon"></span>', 'keepmins' ) ); ?></p>
			<p class="nav-newer"><?php previous_posts_link( __( '<span class="rarrow-icon"></span>', 'keepmins' ) ); ?></p>
		</div>

	</div> <!-- main -->

</div> <!-- sleeve -->

<?php get_footer(); ?>
