<?php
/*
Template Name: Tweets_on_map
*/
__( 'Tweets_on_map', 'keepmins' );
get_header();
?>
<script charset="utf-8" src="https://apis.map.qq.com/api/js?v=2.exp&libraries=convertor&key=<?php echo get_option( 'km_settings' )['qqmap_key']; ?>"></script>
<?php
$args = array(
	'post_type' => 'post',
	'posts_per_page' => 30,
	'meta_key'   => 'geo_public',
	'meta_query' => array(
		array(
			'key'     => 'geo_public',
			'value'   => '1',
			'compare' => 'IN',
		),
	),
);
$additional_loop = new WP_Query($args);
?>

<div id="mapbox" style="width:100%;height:600px"></div>
    <script>
        window.onload = function() {
            var center = new qq.maps.LatLng(39.908860, 116.397427);
            var map = new qq.maps.Map(document.getElementById('mapbox'), {
                center: center,
                zoom: 1
            });
<?php if ($additional_loop->have_posts()) {
	while ( $additional_loop->have_posts() ) {
		$additional_loop->the_post();
		$post = get_post();
		$qqlat = get_post_meta($post->ID, 'geo_qqlat', true);
		$qqlog = get_post_meta($post->ID, 'geo_qqlog', true);
		echo 'var infoWin = new qq.maps.InfoWindow({';
		echo 'map: map,';
		echo 'content: "';
		echo '<a href=' . get_permalink() . '>'. get_the_excerpt() .'</a>",';
		echo 'position: new qq.maps.LatLng(';
		echo "$qqlat,$qqlog";
		echo '),';
		echo 'zIndex: 1,visible: true});';
	}
	/* Restore original Post Data */
	wp_reset_postdata();
}
?>
        }
    </script>
<?php get_footer(); ?>