<?php
/*
Template Name: Statistics
*/
__( 'Statistics', 'keepmins' );
global $wpdb;
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
<meta content="webkit|ie-comp|ie-stand" name="renderer">
<meta content="no-siteapp" http-equiv="Cache-Control">
<meta content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no" name="viewport">
<meta content="<?php echo get_option( 'km_settings' )['seo_des'];?>" name="description">
<meta name="keywords" content="<?php echo get_option( 'km_settings' )['seo_keywords'];?>" />
<meta content="<?php echo get_option( 'km_settings' )['seo_author'];?>" name="author">
<meta content="index,follow" name="robots">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/favicon.png" rel="icon" type="image/x-icon" />
<style type="text/css">
@font-face{font-family:'Open Sans';font-style:normal;font-weight:300;src:local('Open Sans Light'),local('OpenSans-Light'),url(<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/fonts/osl.woff) format('woff')}
@font-face{font-family:"iconfont";src:url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.eot');src:url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.eot?#iefix') format('embedded-opentype'),url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.woff') format('woff'),url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.ttf') format('truetype'),url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.svg#iconfont') format('svg')}
a{color: #777;line-height:30px;padding:10px;text-decoration: none}a:hover{color:#4ad1e5}body{font-family:"Open Sans","Microsoft JhengHei","Microsoft Yahei",Verdana,sans-serif;padding:25px;background-color:#ecf0f1;color:#999;text-align:center}.iconfont.logo{font-size: 43px}.title{display: inline;font-weight: lighter;padding-left: 10px}.col_half{width:49%}.col_third{width:32%}.col_fourth{width:23.5%}.col_fifth{width:18.4%}.col_sixth{width:15%}.col_three_fourth{width:74.5%}.col_twothird{width:66%}.col_half,.col_third,.col_twothird,.col_fourth,.col_three_fourth,.col_fifth{position:relative;display:inline;display:inline-block;float:left;margin-right:2%;margin-bottom:20px}.end{margin-right:0!important}.wrapper{width:980px;margin:30px auto;position:relative}.counter{background-color:#fff;box-shadow: 0 1px 2px 1px rgba(0, 0, 0, 0.05);padding:20px 0;border-radius:5px}.count-title{font-size:40px;font-weight:normal;margin-top:10px;margin-bottom:0;text-align:center}.count-text{font-size:13px;font-weight:normal;margin-top:10px;margin-bottom:0;text-align:center}hr{border: medium none;clear: both;padding: 10px 0;}.full{list-style: outside none none;padding-left:40px;text-align:left}.subtitle{font-weight:lighter}
@font-face{font-family:'iconfont';src:url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.eot');src:url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.eot?#iefix') format('embedded-opentype'),url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.woff') format('woff'),url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.ttf') format('truetype'),url('<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/iconfont/iconfont.svg#iconfont') format('svg')}
.iconfont{color:#4ad1e5;font-family:"iconfont"!important;font-size:36px;font-style:normal;-webkit-font-smoothing:antialiased;-webkit-text-stroke-width:.2px;-moz-osx-font-smoothing:grayscale}
</style>
</head>
<body>
<i class="iconfont logo">&#xe621;</i><a href="<?php echo home_url( '/' ); ?>"><h1 class="title"><?php bloginfo( 'name' ); ?> | <?php bloginfo( 'description' ); ?></h1></a>
<h3 class="subtitle"><?php echo get_option( 'km_settings' )['stastics_subtitle'];?></h3>
<div class="wrapper">
    <div class="counter col_fourth">
      <i class="iconfont">&#xe600;</i>
      <h2 class="timer count-title" id="count-number" data-to="<?php $count_posts = wp_count_posts(); echo $published_posts = $count_posts->publish; ?>" data-speed="1000"></h2>
       <p class="count-text "><?php _e('Posts','keepmins'); ?></p>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe607;</i>
    <h2 class="timer count-title" id="count-number" data-to="<?php $totleviews = get_totalviews(false, true, true); $tviewsnum = intval($totleviews) ; echo $tviewsnum ?>" data-speed="1000"></h2>
      <p class="count-text "><?php _e('Visits','keepmins'); ?></p>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe60d;</i>
      <h2 class="timer count-title" id="count-number" data-to="<?php echo floor((time()-strtotime(get_option( 'km_settings' )['date_of_site']))/86400);?>" data-speed="1000"></h2>
      <p class="count-text "><?php _e('Days Online','keepmins'); ?></p>
    </div>

    <div class="counter col_fourth end">
      <i class="iconfont">&#xe606;</i>
      <h2 class="timer count-title" id="count-number" data-to="<?php echo $count_tags = wp_count_terms('post_tag'); ?>" data-speed="1000"></h2>
      <p class="count-text "><?php _e('Tags','keepmins'); ?></p>
    </div>
	
	<div class="counter col_fourth">
      <i class="iconfont">&#xe612;</i>
	  <p class="count-text" style="padding-bottom: 10px"><?php _e('Most Active time on day','keepmins'); ?></p>
      <h2 class="timer count-title" id="count-number" data-to="<?php
$rushours = $wpdb->get_col("SELECT HOUR(post_date) hour, COUNT(*) posts FROM $wpdb->posts WHERE post_type = 'post' GROUP BY HOUR ORDER BY posts DESC LIMIT 1");
foreach ( $rushours as $rushour ) {
echo $rushour;}
?>" data-speed="1000" style="display:inline"></h2><h2 class="count-title" style="display:inline">:00</h2>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe63c;</i>
	  <p class="count-text "><?php _e('Most Active Year','keepmins'); ?></p>
      <h2 class="timer count-title" id="count-number" data-to="<?php
$rushyears = $wpdb->get_col("SELECT YEAR(post_date) year, COUNT(*) posts FROM $wpdb->posts WHERE post_type = 'post' GROUP BY YEAR ORDER BY posts DESC LIMIT 1");
$rushyearposts = $wpdb->get_col("SELECT YEAR(post_date) year, COUNT(*) posts FROM $wpdb->posts WHERE post_type = 'post' GROUP BY YEAR ORDER BY posts DESC LIMIT 1",1);
foreach ( $rushyears as $rushyear ) {
echo $rushyear;}
?>" data-speed="1000"></h2>
    </div>

    <div class="counter col_fourth">
      <i class="iconfont">&#xe600;</i>
	  <p class="count-text "><?php printf( esc_html__( 'Totla posts on %d.', 'keepmins' ), $rushyear ); ?></p>
      <h2 class="timer count-title" id="count-number" data-to="<?php foreach ( $rushyearposts as $rushyearpost ) {
echo $rushyearpost ;}?>" data-speed="1000"></h2>
    </div>

    <div class="counter col_fourth end">
      <i class="iconfont">&#xe60c;</i>
	  <p class="count-text "><?php _e('Total comments','keepmins'); ?></p>
      <h2 class="timer count-title" id="count-number" data-to="<?php $total_comments = get_comment_count(); echo $total_comments['approved'];?>" data-speed="1000"></h2>
    </div>
	
	<hr/>
	<div class="counter full">
      <i class="iconfont">&#xe61c;</i><?php _e('Most Popluar Post','keepmins'); ?>
	  <?php if (function_exists('get_most_viewed')): ?>
	<?php get_most_viewed('post',5,40); ?>
	<?php endif; ?>
	</div>
	<hr/>
	<div class="counter full">
	<i class="iconfont">&#xe636;</i><?php _e('Topics','keepmins'); ?><br/>
	<?php wp_tag_cloud('smallest=8&largest=18&number=50&orderby=count&order=RAND'); ?>
	</div>
    
</div>
<a href="<?php echo home_url( '/' ); ?>"><i class="iconfont">&#xe645;</i><?php _e('Back to Home','keepmins'); ?></a>
<footer style="font-size:12px">
<p><?php bloginfo( 'name' ); ?> | <?php bloginfo( 'description' ); ?> All Rights Reserved | Theme by <a rel="designer" href="http://www.dukeyin.com/">Duke Yin</a> | <span><a target="_blank" rel="nofollow" href="http://www.miitbeian.gov.cn"><?php echo get_option( 'km_settings' )['km_beian'];?></a></span></p>
</footer>
<script src="https://cdn.bootcss.com/jquery/1.11.1/jquery.min.js"></script>
<script>$.fn.countTo=function(options){options=options||{};return $(this).each(function(){var settings=$.extend({},$.fn.countTo.defaults,{from:$(this).data("from"),to:$(this).data("to"),speed:$(this).data("speed"),refreshInterval:$(this).data("refresh-interval"),decimals:$(this).data("decimals")},options);var loops=Math.ceil(settings.speed/settings.refreshInterval),increment=(settings.to-settings.from)/loops;var self=this,$self=$(this),loopCount=0,value=settings.from,data=$self.data("countTo")||{};$self.data("countTo",data);if(data.interval){clearInterval(data.interval)}data.interval=setInterval(updateTimer,settings.refreshInterval);render(value);function updateTimer(){value+=increment;loopCount++;render(value);if(typeof(settings.onUpdate)=="function"){settings.onUpdate.call(self,value)}if(loopCount>=loops){$self.removeData("countTo");clearInterval(data.interval);value=settings.to;if(typeof(settings.onComplete)=="function"){settings.onComplete.call(self,value)}}}function render(value){var formattedValue=settings.formatter.call(self,value,settings);$self.html(formattedValue)}})};$.fn.countTo.defaults={from:0,to:0,speed:1000,refreshInterval:100,decimals:0,formatter:formatter,onUpdate:null,onComplete:null};function formatter(value,settings){return value.toFixed(settings.decimals)}$("#count-number").data("countToOptions",{formatter:function(value,options){return value.toFixed(options.decimals).replace(/\B(?=(?:\d{3})+(?!\d))/g,",")}});$(".timer").each(count);function count(options){var $this=$(this);options=$.extend({},options||{},$this.data("countToOptions")||{});$this.countTo(options)};</script>
</body></html>