<?php
add_theme_support( 'title-tag' );
function keepminsm_load_theme_textdomain() {
load_theme_textdomain( 'keepminsm', get_template_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'keepminsm_load_theme_textdomain' );
if ( ! isset( $content_width ) ) $content_width = 900;
require get_template_directory() . '/inc/au_resizer.php';
/** Get First image */
function get_first_image() {
  global $post, $posts;
  $featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
  if(empty($featured_img_url)){
  $first_img = '';
  ob_start();
  ob_end_clean();
  
  if($output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches)){
  $first_img = $matches [1] [0];
  }else{
	  $first_img = '';
  };
  }else{
	$first_img= $featured_img_url;
  }
  
  return $first_img;
}
/** human time */
add_filter('the_time', 'dynamictime');
function dynamictime() {
  global $post;
  $date = $post->post_date;
  $time = get_post_time('G', true, $post);
  $mytime = time() - $time;
  if($mytime > 0 && $mytime < 7*24*60*60)
    $mytimestamp = sprintf(__('%s ago','keepminsm'), human_time_diff($time));
  else
    $mytimestamp = date(get_option('date_format'), strtotime($date));
  return $mytimestamp;
}
?>
<?php
        add_theme_support('automatic-feed-links');
		register_nav_menus( array( 'header_menu' => 'Header Menu' ) );
		add_theme_support( 'post-formats', array( 'link', 'quote', 'status', 'standard' ) );
?>
<?php
function custom_excerpt_length( $length ) {
return 200;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
function get_tags_with_count( $post, $format = 'list', $before = '', $sep = '', $after = '' ) {
	$posttags = get_the_tags($post->ID, 'post_tag' );
	if ( !$posttags )
		return '';
	foreach ( $posttags as $tag ) {
		if ( $tag->count > 1 && !is_tag($tag->slug) ) {
			$tag_link = '<a href="' . get_tag_link( $tag ) . '" rel="tag">' . $tag->name . '</a>';
		} else {
			$tag_link = $tag->name;
		}
		if ( $format == 'list' )
			$tag_link = '<li>' . $tag_link . '</li>';
		$tag_links[] = $tag_link;
	}
	return apply_filters( 'tags_with_count', $before . join( $sep, $tag_links ) . $after, $post );
}
function tags_with_count( $format = 'list', $before = '', $sep = '', $after = '' ) {
	global $post;
	echo get_tags_with_count( $post, $format, $before, $sep, $after );
}
//QQMap
function geo_map($atts, $content=null) {
return '<img src="https://apis.map.qq.com/ws/staticmap/v2/?center='.$content.'&zoom=16&size=700*300&maptype=roadmap&markers=size:large|color:red|'.$content.'&key='.get_option( 'km_settings' )['qqmap_key'].'" width="700" height="300">';
}
add_shortcode('map', 'geo_map');
//gravatar
function get_https_avatar($avatar) {
	$avatar = str_replace(array("www.gravatar.com", "0.gravatar.com", "1.gravatar.com", "2.gravatar.com"), "secure.gravatar.com", $avatar);
	$avatar = str_replace("http", "https", $avatar);
	return $avatar;
}
add_filter('get_avatar', 'get_https_avatar');
?>
<?php
class ZoomartsLove {
	 function __construct()   {	
        add_action('wp_enqueue_scripts', array(&$this, 'enqueue_scripts'));
        add_action('wp_ajax_zoomarts-love', array(&$this, 'ajax'));
		add_action('wp_ajax_nopriv_zoomarts-love', array(&$this, 'ajax'));
	}
	function enqueue_scripts() {
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'zoomarts-love', get_stylesheet_directory_uri() . '/js/love.js', 'jquery', '1.0', TRUE );
		wp_localize_script( 'zoomarts-love', 'zoomartsLove', array(
			'ajaxurl' => admin_url('admin-ajax.php')
		));
	}
	function ajax($post_id) {
		//update
		if( isset($_POST['loves_id']) ) {
			$post_id = str_replace('zoomarts-love-', '', $_POST['loves_id']);
			echo $this->love_post($post_id, 'update');
		} 
		//get
		else {
			$post_id = str_replace('zoomarts-love-', '', $_POST['loves_id']);
			echo $this->love_post($post_id, 'get');
		}
		exit;
	}
	function love_post($post_id, $action = 'get') 
	{
		if(!is_numeric($post_id)) return;
		switch($action) {
			case 'get':
				$love_count = get_post_meta($post_id, '_zoomarts_love', true);
				if( !$love_count ){
					$love_count = 0;
					add_post_meta($post_id, '_zoomarts_love', $love_count, true);
				}
				return '<span class="icon-o">'. $love_count .'</span>';
				break;
			case 'update':
				$love_count = get_post_meta($post_id, '_zoomarts_love', true);
				if( isset($_COOKIE['zoomarts_love_'. $post_id]) ) return $love_count;
				$love_count++;
				update_post_meta($post_id, '_zoomarts_love', $love_count);
				setcookie('zoomarts_love_'. $post_id, $post_id, time()*20, '/');
				return '<span class="icon-o">'. $love_count .'</span>';
				break;
		}
	}
	function add_love() {
		global $post;
		$output = $this->love_post($post->ID);
  		$class = 'post-love-link';
  		$title = __('Like', 'keepminsm');
		if( isset($_COOKIE['zoomarts_love_'. $post->ID]) ){
			$class = 'post-love-link loved';
			$title = __('Liked', 'keepminsm');
		}
		return '<a href="#" class="'. $class .'" id="zoomarts-love-'. $post->ID .'" title="'. $title .'">'. $output .'</a>';
	}
}
global $zoomarts_love;
$zoomarts_love = new ZoomartsLove();
// get the ball rollin' 
function zoomarts_love() {
	global $zoomarts_love;
	echo $zoomarts_love->add_love(); 
}
?>
<?php  //Admin panel
add_action( 'admin_menu', 'km_add_admin_menu' );
add_action( 'admin_init', 'km_settings_init' );
function km_add_admin_menu(  ) {
	$title=__('KeepMinsOptions','keepminsm');
	$descrip=__('KeepMins theme Options','keepminsm');
	add_submenu_page( 'themes.php', '$descrip', 'KeepMinsOptions', 'manage_options', 'km', 'km_options_page' );
}
function km_settings_init(  ) { 
	register_setting( 'pluginPage', 'km_settings' );
	add_settings_section(
		'km_pluginPage_section', 
		__( 'Keepmins theme Options', 'keepminsm' ), 
		'km_settings_section_callback', 
		'pluginPage'
	);
	add_settings_field( 
		'qqmap_key', 
		__( 'Tencent Map API key', 'keepminsm' ), 
		'qqmap_key_render', 
		'pluginPage', 
		'km_pluginPage_section' 
	);
	add_settings_field( 
		'seo_keywords', 
		__( 'SEO Keywords', 'keepminsm' ), 
		'seo_keywords_render', 
		'pluginPage', 
		'km_pluginPage_section' 
	);
	add_settings_field(
		'seo_des',
		__( 'SEO Description', 'keepminsm' ),
		'seo_des_render',
		'pluginPage',
		'km_pluginPage_section'
	);
	add_settings_field( 
		'seo_author', 
		__( 'SEO Author', 'keepminsm' ), 
		'seo_author_render', 
		'pluginPage', 
		'km_pluginPage_section' 
	);
	add_settings_field( 
		'author_avatar', 
		__( 'Avatar URL', 'keepminsm' ), 
		'author_avatar_render', 
		'pluginPage', 
		'km_pluginPage_section' 
	);
	add_settings_field( 
		'seo_baidu_ana', 
		__( 'Baidu Statistics ID', 'keepminsm' ), 
		'seo_baidu_ana_render', 
		'pluginPage', 
		'km_pluginPage_section' 
	);
	add_settings_field( 
		'stastics_subtitle', 
		__( 'Statistis page subtitle', 'keepminsm' ), 
		'stastics_subtitle_render', 
		'pluginPage',
		'km_pluginPage_section' 
	);
	add_settings_field( 
		'date_of_site', 
		__( 'Date of site found', 'keepminsm' ), 
		'date_of_site_render', 
		'pluginPage',
		'km_pluginPage_section' 
	);
	add_settings_field( 
		'km_beian', 
		__( 'Beian No.', 'keepminsm' ), 
		'km_beian_render', 
		'pluginPage', 
		'km_pluginPage_section' 
	);
}
function qqmap_key_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='text' name='km_settings[qqmap_key]' value='<?php echo $options['qqmap_key']; ?>' size="48"><p><?php _e( 'Your Tencent map api key here, for checkin and show the map, note that you should choose type "browser" when regist, and do not leave any spaces in the field', 'keepminsm' ); ?></p><p><a href="<?php echo esc_url( __('http://lbs.qq.com/console/mykey.html', 'keepminsm'));?>" target="_blank"><?php _e( 'Click here to get a key for free, login with your qq account.', 'keepminsm' ); ?></a></p>
	<?php
}
function seo_keywords_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='text' name='km_settings[seo_keywords]' value='<?php echo $options['seo_keywords']; ?>' size="48"><p><?php _e( 'The keywords for this site, less than 32 characters, fill this for better seo.', 'keepminsm' ); ?></p>
	<?php
}
function seo_des_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<textarea cols='40' rows='5' name='km_settings[seo_des]'><?php echo $options['seo_des']; ?></textarea><p><?php _e( 'Descriptions for this site, less than 320 characters, fill this for better seo.', 'keepminsm' ); ?></p>
	<?php
}
function seo_author_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='text' name='km_settings[seo_author]' value='<?php echo $options['seo_author']; ?>' size="48"><p><?php _e( 'The author name for this site, fill this for better seo.', 'keepminsm' ); ?></p>
	<?php
}
function author_avatar_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='url' name='km_settings[author_avatar]' value='<?php echo $options['author_avatar']; ?>' size="48"><p><?php _e( 'The author name for this site, fill this for better seo.', 'keepminsm' ); ?></p>
	<?php
}
function seo_baidu_ana_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='text' name='km_settings[seo_baidu_ana]' value='<?php echo $options['seo_baidu_ana']; ?>' size="48"><p><?php _e( 'Baidu stastics ID, like this "9ace40105456064b0869ca04e6fe878e", leave it blank if you dont use baidu.', 'keepminsm' ); ?></p>
	<?php
}
function stastics_subtitle_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='text' name='km_settings[stastics_subtitle]' value='<?php echo $options['stastics_subtitle']; ?>' size="48"><p><?php _e( 'The subtitle in stastics page.', 'keepminsm' ); ?></p>
	<?php
}
function date_of_site_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='date' name='km_settings[date_of_site]' value='<?php echo $options['date_of_site']; ?>' size="48"><p><?php _e( 'The day that this site was open to visitor, use this to get the time this site last.', 'keepminsm' ); ?></p>
	<?php
}
function km_beian_render(  ) { 
	$options = get_option( 'km_settings' );
	?>
	<input type='text' name='km_settings[km_beian]' value='<?php echo $options['km_beian']; ?>' size="48"><p><?php _e( 'Chinese users needs this for a spical reason.', 'keepminsm' ); ?></p>
	<?php
}
function km_settings_section_callback(  ) { 
	echo __( 'Fill all blanks is recommanded.', 'keepminsm' );
}
function km_options_page(  ) { 
	?>
	<form action='options.php' method='post'>
		<?php
		settings_fields( 'pluginPage' );
		do_settings_sections( 'pluginPage' );
		submit_button();
		?>
	</form>
	<?php
}
?>