<?php
/**
* Template Name: Geo List
* Description: A Page Template front-end editing posting
*/
__( 'Geo List', 'keepminsm' );
get_header(); ?>
<div id="content">
<h2 class="pagetitle"><?php the_title(); ?></h2>
<div class="post">
<?php
$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
$args = array(
	'post_type' => 'post',
	'posts_per_page' => 20,
	'meta_key'   => 'geo_address',
	'paged' => $paged,
	'meta_query' => array(
		array(
			'key'     => 'geo_address',
			'value'   => '',
			'compare' => '!=',
		),
	),
);
$additional_loop = new WP_Query($args);
?>
<?php if ($additional_loop->have_posts()) {
	while ( $additional_loop->have_posts() ) {
		$additional_loop->the_post();
		$post = get_post();
		$qqlat = get_post_meta($post->ID, 'geo_qqlat', true);
		$qqlog = get_post_meta($post->ID, 'geo_qqlog', true);
		$geo_address = get_post_meta($post->ID, 'geo_address', true);
		$geo_venue = get_post_meta($post->ID, 'geo_venue', true);
		echo '<ul class="geolist"><a href=' . get_permalink() . ' target="_blank" class="geolocation"><span class="venue">'. $geo_venue .'</span>&nbsp;&nbsp;&nbsp;'.$geo_address .'</a></ul>';
		}
	wp_reset_postdata();
}
?>
<?php if ($additional_loop->max_num_pages > 1) { // check if the max number of pages is greater than 1  ?>
  <div class="post-navigation nav-bottom">
    <div class="post-nav-fwd"><span class="nav-fwd">
      <?php echo get_next_posts_link( '', $additional_loop->max_num_pages ); // display older posts link ?>
    </span></div>
	<div class="post-nav-middle"><a class="iconfont" href="<?php echo esc_url( site_url() ); ?>">&#xe600</a></div>
   <div class="post-nav-back"> <span class="nav-back">
      <?php echo get_previous_posts_link( '' ); // display newer posts link ?>
    </span>
  </div>
<?php } ?>
</div></div>
<?php get_footer(); ?>